---
lang: en
title: 'API docs: context.bindingkey.parsekeywithpath'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.bindingkey.parsekeywithpath.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [BindingKey](./context.bindingkey.md) &gt; [parseKeyWithPath](./context.bindingkey.parsekeywithpath.md)

## BindingKey.parseKeyWithPath() method

Parse a string containing both the binding key and the path to the deeply nested property to retrieve.

<b>Signature:</b>

```typescript
static parseKeyWithPath<T>(keyWithPath: BindingAddress<T>): BindingKey<T>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  keyWithPath | <code>BindingAddress&lt;T&gt;</code> | The key with an optional path, e.g. "application.instance" or "config\#rest.port". |

<b>Returns:</b>

`BindingKey<T>`


